<?php

// required to use the CSRF token
session_start();

require('class/Database.php');
require('class/Utility.php');
require('class/Translate.php');
require('class/FormBuilder.php');

$db = new Database('localhost','root','root','test');
$file = 'form04.xml';
$form = new FormBuilder($file, $db);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>FormBuilder</title>

	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

	<link href="css/reset-min.css" media="all" rel="stylesheet" type="text/css" />
	<link href="css/form-builder.css" media="all" rel="stylesheet" type="text/css" />
	<link href="css/layout.css" media="all" rel="stylesheet" type="text/css" />

	<script type="text/javascript" src="js/jquery.js"></script>
</head>
<body>

<ul class="menu">
	<li><a href="index.php">&laquo; Back to examples list</a></li>
	<li><a href="form04.phps" target="_blank">View PHP source</a></li>
	<li><a href="form04.xml" target="_blank">View XML source</a></li>
</ul>
<div class="clear_both"></div>

<div class="notification info">
	Username &amp; Password: <strong>demo</strong><br />
	Wait <strong id="countdown">45</strong> seconds and click "Login" to test the CSRF
</div>

<?php

if(!empty($_POST) && $form->isValid())
{
	/*
	 * $form->isValid() must be placed before $form->print_form() in order to show errors
	 */

	if($_POST['username']=='demo' && $_POST['password']=='demo')
	{
		echo '<div class="notification success">Login successful!!!</div>';
	}
	else
	{
		echo '<div class="notification error">Login error!!!</div>';
	}
}
elseif(!empty($_POST))
{
	echo '<div class="notification warning">CSRF error!!!</div>';
}

echo $form->print_form(false);

if(!empty($_POST) && $form->isValid())
{
	echo 'POST:<pre>', print_r( $_POST ,true), '</pre>';
}

?>

<script type="text/javascript">
	setTimeout('countdown()', 1000);

	function countdown()
	{
		var sec = parseInt( $('#countdown').html() );
		sec--;
		
		if(sec>=0)
		{
			$('#countdown').html(sec);
			setTimeout('countdown()', 1000);
		}
	}
</script>
</body>
</html>
