<?php

/*
CREATE DATABASE `test`;

CREATE TABLE `country` (
  `code` char(2) NOT NULL,
  `continent` char(2) NOT NULL,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `country` (`code`, `continent`, `name`) VALUES
('CA', 'NA', 'Canada'),
('GB', 'EU', 'Great Britain'),
('IT', 'EU', 'Italy'),
('SM', 'EU', 'San Marino'),
('TH', 'AS', 'Thailand'),
('US', 'NA', 'United States');

CREATE TABLE `continent` (
  `code` CHAR( 2 ) NOT NULL ,
  `name` VARCHAR( 50 ) NOT NULL ,
  PRIMARY KEY ( `code` )
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `continent` (`code`, `name`) VALUES
('AF', 'Africa'),
('AN', 'Antarctica'),
('AS', 'Asia'),
('EU', 'Europe'),
('NA', 'North America'),
('OC', 'Oceania'),
('SA', 'South America');

*/

session_start();

require('class/Database.php');
require('class/Utility.php');
require('class/Translate.php');
require('class/FormBuilder.php');

$db = new Database('localhost','root','root','test');
$file = 'form05.xml';
$form = new FormBuilder($file, $db);
$form->setLabel('Insert','edit');


// set values into the form
$values = array(//'field1'=>'xxx',
				'field2'=>'lorem ipsum',
				'field3'=>'SM',
				'field31'=>'IT',
				'field4'=>1,
				'field5'=>0,
				'field7'=>1,
				'field8-CA'=>1,
				'field8-IT'=>1,
				'field8-TH'=>1,
				'prefixPage-1-prefixSezB-1-field_30'=>'01/01/2011');
$form->setValues($values);

$readonly = array('field31'=>1);
$form->setReadOnly($readonly);

$select = array('field32' => array(	333     => 'ciao', 
									'pippo' => array(444=>'pluto',
													 555=>'topolino')));
$form->setSelects($select);



if(!empty($_POST) && $form->isValid())
{
	/*
	 * $form->isValid() must be placed before $form->print_form() in order to show errors
	 */
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>FormBuilder</title>

	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

	<link href="css/reset-min.css" media="all" rel="stylesheet" type="text/css" />
	<link href="css/form-builder.css" media="all" rel="stylesheet" type="text/css" />
	<link href="css/layout.css" media="all" rel="stylesheet" type="text/css" />
	<link href="css/smoothness/jquery-ui-1.7.1.custom.css" media="screen" rel="stylesheet" type="text/css" />

	<script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.7.2.custom.min.js"></script>
	<script type="text/javascript" src="js/datepicker.lang.it.js"></script>
	<script type="text/javascript" src="js/jquery.maskedinput-1.2.2.js"></script>
	<script type="text/javascript" src="js/jquery.validate.min.js"></script>
	<script type="text/javascript" src="js/jquery.validate.additional-methods.js"></script>
	<script type="text/javascript" src="js/tiny_mce/jquery.tinymce.js"></script>
	<script type="text/javascript" src="js/form-builder.js"></script>
</head>
<body>

<ul class="menu">
	<li><a href="index.php">&laquo; Back to examples list</a></li>
	<li><a href="form05.phps" target="_blank">View PHP source</a></li>
	<li><a href="form05.xml" target="_blank">View XML source</a></li>
</ul>
<div class="clear_both"></div>

<?php echo $form->print_form(false)?>

<?php
if(!empty($_POST) && $form->isValid())
{
	echo '<div class="post">';
	echo 'POST:<pre>', print_r( $_POST ,true), '</pre>';
	echo '</div>';
}
?>

</body>
</html>