/**
 * @package		FormBuilder
 * @author		Andrea Venturi
 * @copyright	Copyright (c) 2009-2012 Andrea Venturi
 * @license		http://www.gnu.org/licenses/lgpl.html	GNU Lesser General Public License
 * @version		1.4
 */


/**
 * Controlla se la data è nel formato dd/mm/yyyy
 */
function checkDate(element)
{
	element.rules('add',{date: true});
	element.valid();

	return false;
}

/**
 * Formatta un numero nel formato 1.234,56 ( separatore migliaia = '.' ; separatore decimali = ',' )
 */
function number_format(element)
{
	//var element = $(this);
	var num = element.val();
	
	// esco se la casella è vuota 
	if( num.length==0 ) return;
	
	// cerco i separatori
	vir = num.lastIndexOf(',');
	pun = num.lastIndexOf('.');
	
	max = Math.max(vir, pun);

	if(max > -1)
	{
		if(max==vir)
		{
			// sep. decimali = ','
			
			// elimino i punti
			num = num.replace(/\./g,'');
		}
		else
		{
			// sep. decimali = '.'
			
			// elimino le virgole
			num = num.replace(/,/g,'');
			
			// sostituisco il . con la ,
			num = num.replace(/\./g,',');
		}
		
		// a questo punto il numero è nel formato 1324,56
		
		// separo parte intera e parte decimale
		var re = new RegExp(/^([0-9]+),([0-9]+)$/);
		match = re.exec(num);

		intero   = match[1];
		decimale = match[2];
	}
	else
	{
		// numero intero
		intero   = num;
		decimale = '00';
	}
	
	// separatore migliaia
	var i = intero.length - 3;
   	for ( ; i>0; i-=3)
   	{
   		intero = intero.substring(0,i) + '.' + intero.substr(i);
   	}
	
	num = intero+','+decimale;

	element.val(num);
}
